using UnityEditor;

namespace XGame.Editor.Asset.Tools
{
    public static class XAssetMenus
    {
        [MenuItem("Tools/XGame/资源/检测贴图")]
        private static void VerifyTextureAssets()
        {
            var task = new TextureVerifyTask();
            task.Run();
        }
        [MenuItem("Tools/XGame/资源/检测i18n资源依赖")]
        private static void VerifyI18nAssets()
        {
            var task = new I18nAssetsReferencesTask();
            task.Run();
        }
        [MenuItem("Tools/XGame/资源/检测动态资源的预制依赖")]
        private static void FindPrefabReferences()
        {
            var task = new PrefabDependenciesTask();
            task.Run();
        }
        [MenuItem("Tools/XGame/资源/清理SpriteAtlas")]
        public static void ClearSpriteAtlases()
        {
            var task = new SpriteAtlasClearTask();
            task.Run();
        }
    }
}
